Search Unity

  1. We are migrating the Unity Forums to Unity Discussions by the end of July. Read our announcement for more information and let us know if you have any questions.
    Dismiss Notice
  2. Dismiss Notice

Question How to link visual studio 2022 preview to unity?

Discussion in 'Code Editors & IDEs' started by shockedsam, Jun 23, 2023.

  1. shockedsam

    shockedsam

    Joined:
    Jun 19, 2023
    Posts:
    5
    Past: I am new to unity. I downloaded Microsoft visual studio from unity hub as a module for unity editor. It was checking updates. and I updated it to the latest then I again updated it to visual studio 2022 preview for a better experience.
    Present issue: I was following the unity learn pathway, unity essentials. i got to know that because I unnecessarily updated my visual studio to 2022 preview it is unlinked to Unity. Not supported. I tried a few ways to relink it but no good result. Even I saw in unity hub installs it is asking to redownload visual studio. Is there a better way to link Unity to Microsoft visual studio 2022 preview rather than reinstalling it?
     
  2. CodeSmile

    CodeSmile

    Joined:
    Apr 10, 2014
    Posts:
    7,000
    What do you mean with "link"? Is it selectable in here?
    upload_2023-6-23_19-47-26.png

    If you cannot select it and VS 2022 won't work, try "Browse...".

    If that doesn't work, is the VS package in Package Manager up to date?

    If it is, I tend to say what I always say: MS Visual Studio is for developing biiiiiiiiiig business apps for databases and services rich in three-capitel-letter acronyms and such. Toys? MS doesn't support toys. Unity is a toy. Perhaps they simply don't care enough to make the preview version of VS compatible with MS. But I'm probably wrong here. I hope. ;)

    If nothing helps, uninstall VS and re-install the official version rather than preview. So much for "better experience". :p
     
    shockedsam likes this.
  3. shockedsam

    shockedsam

    Joined:
    Jun 19, 2023
    Posts:
    5
    Sorry to bother you! You can see preferences and modules. After it, the pathway mission. Can you fix the errors? Maybe I misexplained my issue. Even though I don't understand my problem.
     

    Attached Files:

  4. CodeSmile

    CodeSmile

    Joined:
    Apr 10, 2014
    Posts:
    7,000
    It's transform.localScale not transform.scale.
     
    shockedsam likes this.
  5. shockedsam

    shockedsam

    Joined:
    Jun 19, 2023
    Posts:
    5
    Thanks to you a lot! I was so stupid.